import {IsNotEmpty, IsNumber, IsString, IsUUID} from 'class-validator';
import {UUID} from "crypto";

export class UpdateSongDto {
  @IsUUID()
  uuid: UUID;

  @IsString()
  @IsNotEmpty()
  title: string;

  @IsNumber()
  duration: number;

  @IsNumber()
  trackNumber: number;

  @IsUUID()
  albumId: UUID;
}
