import {Entity, Column, PrimaryGeneratedColumn, Generated, BeforeInsert} from 'typeorm';
import { IsNotEmpty, IsString } from 'class-validator';
import { UUID } from 'crypto';

@Entity('user')
export class User {
    @PrimaryGeneratedColumn()
    @Generated("uuid")
    uuid?: UUID;

    @Column({ unique: true })
    @IsString()
    @IsNotEmpty()
    email: string;

    @Column({ unique: true })
    @IsString()
    @IsNotEmpty()
    username: string;

    @Column('text')
    @IsString()
    @IsNotEmpty()
    password: string;

    @Column()
    @IsString()
    @IsNotEmpty()
    firstName: string;

    @Column()
    @IsString()
    @IsNotEmpty()
    lastName: string;
    
}