import { Injectable } from '@nestjs/common';
import {InjectRepository} from "@nestjs/typeorm";
import {Repository} from "typeorm";
import {User} from "@/users/user.entity";

@Injectable()
export class UsersService {
    constructor(
        @InjectRepository(User)
        private userRepository: Repository<User>,
    ) {}

    async findOneByUsername(username: string): Promise<User | null> {
        return this.userRepository.findOneBy({
            username: username,
        });
    }

    async findOneByEmail(email: string): Promise<User | null> {
        return this.userRepository.findOneBy({
            email: email,
        });
    }

    async create(user: User): Promise<User> {
        return this.userRepository.save(user);
    }
}
